org.eclipse.emf.cdo.view

## Interface CDOObjectHandler

- All Known Implementing Classes:
    CDOStaleReferencePolicy.DynamicProxy.Enhanced

      public interface CDOObjectHandler

  Call-back handler used by `views` to tell implementors of this interface about `state` changes of `objects`.
  Since:
    3.0
  Author:
    Eike Stepper
  See Also:
    `CDOView.addObjectHandler(CDOObjectHandler)`, `CDOView.removeObjectHandler(CDOObjectHandler)`, `CDOObject.cdoState()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `objectStateChanged(CDOView view, CDOObject object, CDOState oldState, CDOState newState)`

- - ### Method Detail

    - #### objectStateChanged

          void objectStateChanged(CDOView view,
                                  CDOObject object,
                                  CDOState oldState,
                                  CDOState newState)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html